> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Livechat SMS Incoming (Twilio)

> Receive SMS.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.42.0            | Added      |

## OpenAPI

````json POST /api/v1/livechat/sms-incoming/{service}
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/sms-incoming/{service}": {
      "post": {
        "tags": [
          "Livechat"
        ],
        "summary": "Livechat SMS Incoming (Twilio)",
        "description": "Receive SMS.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.42.0            | Added      |",
        "operationId": "post-api-v1-livechat-sms-incoming-service",
        "parameters": [
          {
            "name": "service",
            "in": "path",
            "description": "Only the server `twilio` is accepted at moment.",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "twilio"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "From": {
                    "type": "string"
                  },
                  "To": {
                    "type": "string"
                  },
                  "Body": {
                    "type": "string"
                  },
                  "ToCountry": {
                    "type": "string"
                  },
                  "ToState": {
                    "type": "string"
                  },
                  "ToCity": {
                    "type": "string"
                  },
                  "ToZip": {
                    "type": "string"
                  },
                  "FromCountry": {
                    "type": "string"
                  },
                  "FromState": {
                    "type": "string"
                  },
                  "FromCity": {
                    "type": "string"
                  },
                  "FromZip": {
                    "type": "string"
                  }
                }
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "From": "5551123456789",
                    "To": "5551987654321",
                    "Body": "SMS message",
                    "ToCountry": "Brazil",
                    "ToState": "RS",
                    "ToCity": "Porto Alegre",
                    "ToZip": "",
                    "FromCountry": "Brazil",
                    "FromState": "RS",
                    "FromCity": "Porto Alegre",
                    "FromZip": ""
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string",
                  "example": "<Response></Response>"
                },
                "examples": {
                  "default": {
                    "value": "<Response></Response>"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

